Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ExpressionFieldInfo

    java.lang.Object
      jet.api.ExpressionFieldInfo

    public class ExpressionFieldInfo

extends java.lang.Object

Field Summary
`static int` | `CONSTANT`
`static int` | `REFERENCE`

Constructor Summary
`ExpressionFieldInfo(java.lang.String expressionValue, int expressionValueType, boolean isMappingName)` Constructor.

Method Summary
`java.lang.String` | `getExpressionValue()` Gets the Expression Field value
`int` | `getExpressionValueType()` Gets the type of Expression Field.
`boolean` | `isMappingName()` Indicates whether the Expression Field is a resource name or not.
`void` | `setExpressionValue(java.lang.String expressionValue)` Sets the Expression Field value
`void` | `setExpressionValueType(int expressionValueType)` Sets the type of Expression Field.
`void` | `setIsMappingName(boolean isMappingName)` Indicates whether the Expression Field is a resource name or not.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REFERENCE

    public static final int REFERENCE

See Also:
  Constant Field Values

### CONSTANT

    public static final int CONSTANT

See Also:
  Constant Field Values

Constructor Detail

### ExpressionFieldInfo

    public ExpressionFieldInfo(java.lang.String expressionValue,
                               int expressionValueType,
                               boolean isMappingName)

  Constructor. Creates an Expression Field Information

  Parameters:
    `expressionValue` - the Expression Field value
    `expressionValueType` - indicates that the Expression Field is a `REFERENCE` or `CONSTANT` field.
    `isMappingName` - `true` if the Expression Field is a resource name, otherwise is `false`.

Method Detail

### getExpressionValueType

    public int getExpressionValueType()

  Gets the type of Expression Field. It indicates that the Expression Field is a `REFERENCE` or `CONSTANT` field.

  Returns:
    the Expression Field is a `REFERENCE` or `CONSTANT` field

### setExpressionValueType

    public void setExpressionValueType(int expressionValueType)

  Sets the type of Expression Field. It indicates that the Expression Field is a `REFERENCE` or `CONSTANT` field.

  Parameters:
    `expressionValueType` - the Expression Field is a `REFERENCE` or `CONSTANT` field

### isMappingName

    public boolean isMappingName()

  Indicates whether the Expression Field is a resource name or not.

  Returns:
    `true` if the Expression Field is a resource name, otherwise return `false`.

### setIsMappingName

    public void setIsMappingName(boolean isMappingName)

  Indicates whether the Expression Field is a resource name or not.

  Parameters:
    `isMappingName` - `true` if the Expression Field is a resource name, otherwise is `false`.

### getExpressionValue

    public java.lang.String getExpressionValue()

  Gets the Expression Field value

  Returns:
    the Expression Field value

### setExpressionValue

    public void setExpressionValue(java.lang.String expressionValue)

  Sets the Expression Field value

  Parameters:
    `expressionValue` - the Expression Field value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD